<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">

    <title>Lab 2 Bitch !!!!!</title>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js" ></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" ></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js" ></script>

  </head>
  <body>
    <button id="btnOK">Click Me</button>
    <table id="myTable" class="table"></table>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    
    <script>
        $(function () {
            $('#btnOK').click(function () {
                $.get('https://swapi.co/api/people/').then(function (res) {
                    console.log(res.results);

                    let key,val,sub_key,sub_val;

                    $('#myTable').append($('<tr>')); 
                    for(key in res.results[0]) /* วนหา Key แต่ละอันโดยยึดจากคีย์แรกอันเดียว*/
                    {
                        $('#myTable').append($('<th>'+key+'</th>')); 
                    }
                    $('#myTable').append($('</tr>')); 
                    
                    for(key in res.results) /*วนหาค่าของแต่ละ Key*/
                    {
                        val = res.results[key];
                        $('#myTable').append($('<tr>'));
                        
                        for(sub_key in val)
                        {
                            let tempforappend = "";
                    
                            if(sub_key === 'nextSalary')
                            {
                                /*$('#myTable').append($('<ol>'));*/
                                tempforappend += '<td><ol>';
                                val[sub_key].forEach(element => {
                                tempforappend += '<li>'+element+'</li>';
                                });
                                /*$('#myTable').append($('</ol>'));*/
                                tempforappend += '</ol></td>';
                                $('#myTable').append($(tempforappend));
                    
                            }
                            
                            else
                            {
                                sub_val = val[sub_key];
                                $('#myTable').append($('<td>'+sub_val+'</td>'));
                            }
                            
                        }
                    }
                    $('#myTable').append($('</tr>')); /* เขียน Header ได้แล้ว */
                });
            });
        }); 
    </script>
  </body>
</html>